﻿
@using Jumbula.Core.Domain
@model SportsClub.Models.ParentWaiverViewModel


@{
    ViewBag.Title = " Waiver detail";
    ViewBag.IsRegistrantReport = true;
}

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="title-page">
                <h1> Waiver details </h1>
            </div>
        </div>
    </div>

    <div class="container-bordered">
        <div class="row">
            <div class="col-md-6">
                <div class="title-details">
                    <h3 class="bold">
                        Date: <span class="normal">@Model.Date.ToString("MMM dd, yyyy")</span>
                    </h3>
                </div>
            </div>
            <div class="col-md-6">
                <div class="title-details">
                    <h3 class="bold">
                        Program: <span class="normal">@Model.ProgramName </span>
                    </h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box-content-waiwer">
                    <span class="text-box-waiwer">
                        @Model.Name
                    </span>
                    <p>@Html.Raw(Model.Text.Replace("\n", "</br>"))</p>
                    <div style="text-align:right;">
                        @if (@Model.WaiverConfirmationType == WaiverConfirmationType.Agree && Model.Agreed)
                        {
                        <i class="jbi-check-circle-1 tick-box-waiwer"></i>
                        <span class="bold" style="display: inline-block; padding-top: 9px;vertical-align: middle;">
                           I have agreed to this waiver
                        </span>
                        }
                        else if(@Model.WaiverConfirmationType == WaiverConfirmationType.Signature)
                        {
                        <div id="JbSignature480796241" style="display: none;"><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1em !important;margin-bottom:1em !important;"></div><canvas class="jSignature" width="480" height="120" style="margin: 0px; padding: 0px; border: none; height: 120px; width: 480px;"></canvas><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1.5em !important;margin-bottom:1.5em !important;"></div></div>

                        <img id="Image_JbSignature480796241" src="@Model.Signiture" class="img-box-waiwer" />
                        }
                    </div>

                </div>
            </div>
        </div>

    </div>


</div>
<script src="/Scripts/Libraries/jSignature/jSignature.min.js"></script>
<script>
    var img = document.getElementById('Image_JbSignature480796241');
        var data = $("#" + "JbSignature480796241").text("").jSignature({
            lineWidth: 1,
            height: 120,
        }).jSignature("setData", img.getAttribute('src'), "base30").hide(0).jSignature("getData");
        $("#Image_JbSignature480796241").attr("src", data);
</script>